[//]: # (SPDX-License-Identifier: MIT)
# Role Name

role-service-hardware_sensors

# Description

On Linux hardware configure fan and temp sensors.

# Requirements

Your target machines must be Linux.

# Role Variables

Per [defaults/main.yml](defaults/main.yml) this role is equipped to deal with Arch Linux and Debian.

- `packages_linux_sensors_all_families`: Place package names in this list that are identical across all Linux flavors. While we do install packages we don't have any that have identical names across all Linux flavors so this variable defaults to an empty list.  
    ```
    packages_linux_sensors_all_families: []
    ```
- `packages_linux_sensors_*`: Add package names to an operating system-specific list if it's unique to that operating system. The asterisk (`*`) is a placeholder for `ansible_facts['os_family'] | lower`. If `ansible_facts['os_family']` equals `Debian` then this becomes `debian` and the list turns into `packages_linux_sensors_debian`; same for `packages_linux_sensors_archlinux` etc. Note that for Arch Linux these are official packages only, not packages from the Arch User Repository.
    ```
    packages_linux_sensors_archlinux:
      - 'lm_sensors'
    
    packages_linux_sensors_debian:
      - 'lm-sensors'
      - 'fancontrol'
    ```

# Dependencies

None.

# Example Playbook

In your `playbook.yml` call it like so:

```
- name: 'Awesome playbook'
  hosts: all
  roles:
    - 'role-service-hardware_sensors'
```

# License

MIT
